> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List project templates



## OpenAPI

````yaml /api-specs/6.3/public-api.yaml get /api/develop/v1/project-templates
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: 6.2.2
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/develop/v1/project-templates:
    get:
      tags:
        - ProjectTemplates
      summary: List project templates
      operationId: getProjectTemplatesCollection
      parameters:
        - description: >-
            The page number of the collection to return. If not provided, the
            first page will be returned.
          in: query
          name: page
          required: false
          schema:
            default: 1
            minimum: 1
            type: integer
        - description: >-
            The number of items to return per page. If not provided, 10 items
            will be returned per page.
          in: query
          name: size
          required: false
          schema:
            default: 10
            maximum: 100
            minimum: 1
            type: integer
        - description: >
            The view to filter on. To retrieve your own templates, pass your
            user ID as a string.

            To retrieve templates shared with you, pass in "shared".

            To retrieve company official templates, pass in "official".

            If you have Domino AI Hub templates enabled, you can also pass in
            "ecosystem" to retrieve those.
          in: query
          name: view
          required: false
          schema:
            type: string
        - description: The category to filter on. Applies only to ecosystem templates.
          in: query
          name: category
          required: false
          schema:
            type: string
        - description: >-
            The owner to filter on. Supply user ID for custom templates and
            owner name for ecosystem templates.
          in: query
          name: owner
          required: false
          schema:
            type: string
        - in: query
          name: isCompanyOfficial
          required: false
          schema:
            description: To filter on company official templates.
            type: boolean
        - description: The field to sort the collection by (in the given order).
          in: query
          name: orderBy
          required: false
          schema:
            default: updated
            enum:
              - updated
              - name
              - recommended
            type: string
        - description: >-
            The direction to sort the collection by. The direction is 'desc' by
            default in all cases.
          in: query
          name: sortOrder
          required: false
          schema:
            default: desc
            enum:
              - asc
              - desc
            type: string
        - description: The search query to match on a template's name or description.
          in: query
          name: q
          required: false
          schema:
            default: ''
            type: string
        - description: The custom template tag to search for.
          in: query
          name: tagName
          required: false
          schema:
            default: ''
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedBaseTemplatesCollectionV1'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    PaginatedBaseTemplatesCollectionV1:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ProjectTemplate'
          type: array
        paginationDetails:
          $ref: '#/components/schemas/PaginationFilterV1'
        totalCount:
          type: integer
      required:
        - items
        - paginationDetails
        - totalCount
      type: object
    ProjectTemplate:
      properties:
        access:
          $ref: '#/components/schemas/ProjectTemplateAccess'
        base64Logo:
          type: string
        categories:
          items:
            type: string
          type: array
        created:
          format: date-time
          type: string
        description:
          type: string
        id:
          type: string
        isCompanyOfficial:
          description: Whether or not this template is marked as official
          type: boolean
        license:
          type: string
        name:
          type: string
        owner:
          $ref: '#/components/schemas/ProjectTemplateOwner'
        recommended:
          type: boolean
        revisionId:
          type: string
        templateType:
          enum:
            - customer
            - ecosystem
          type: string
        updated:
          format: date-time
          type: string
      required:
        - templateType
        - id
        - name
        - created
        - updated
        - categories
        - owner
        - access
      type: object
    PaginationFilterV1:
      properties:
        pageNumber:
          type: integer
        pageSize:
          type: integer
        sortOrder:
          type: string
      required:
        - pageSize
        - pageNumber
        - sortOrder
      type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
    ProjectTemplateAccess:
      properties:
        collaborators:
          items:
            $ref: '#/components/schemas/ProjectTemplateCollaborator'
          type: array
        visibility:
          enum:
            - private
            - all_non_anonymous_users
          type: string
      required:
        - visibility
        - collaborators
      type: object
    ProjectTemplateOwner:
      properties:
        link:
          type: string
        name:
          type: string
      required:
        - name
      type: object
    ProjectTemplateCollaborator:
      properties:
        id:
          pattern: ^[0-9a-f]{24}$
          type: string
        role:
          enum:
            - template_user
          type: string
      required:
        - id
        - role
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````